cpw.mods.fml.common.network.internal

## Class FMLProxyPacket

- java.lang.Object
- - net.minecraft.network.Packet
  - - cpw.mods.fml.common.network.internal.FMLProxyPacket

-     public class FMLProxyPacket
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLProxyPacket(io.netty.buffer.ByteBuf payload, java.lang.String channel)`
    `FMLProxyPacket(C17PacketCustomPayload original)`
    `FMLProxyPacket(S3FPacketCustomPayload original)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `channel()`
    `NetworkDispatcher` | `getDispatcher()`
    `NetworkManager` | `getOrigin()`
    `Side` | `getTarget()`
    `INetHandler` | `handler()`
    `io.netty.buffer.ByteBuf` | `payload()`
    `void` | `processPacket(INetHandler inethandler)`
    `void` | `readPacketData(PacketBuffer packetbuffer)`
    `void` | `setDispatcher(NetworkDispatcher networkDispatcher)`
    `void` | `setTarget(Side target)`
    `Packet` | `toC17Packet()`
    `Packet` | `toS3FPacket()`
    `void` | `writePacketData(PacketBuffer packetbuffer)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, serialize, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLProxyPacket

          public FMLProxyPacket(S3FPacketCustomPayload original)

    - #### FMLProxyPacket

          public FMLProxyPacket(C17PacketCustomPayload original)

    - #### FMLProxyPacket

          public FMLProxyPacket(io.netty.buffer.ByteBuf payload,
                        java.lang.String channel)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer packetbuffer)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer packetbuffer)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandler inethandler)

      Specified by:
        `processPacket` in class `Packet`

    - #### channel

          public java.lang.String channel()

    - #### payload

          public io.netty.buffer.ByteBuf payload()

    - #### handler

          public INetHandler handler()

    - #### toC17Packet

          public Packet toC17Packet()

    - #### toS3FPacket

          public Packet toS3FPacket()

    - #### setTarget

          public void setTarget(Side target)

    - #### setDispatcher

          public void setDispatcher(NetworkDispatcher networkDispatcher)

    - #### getOrigin

          public NetworkManager getOrigin()

    - #### getDispatcher

          public NetworkDispatcher getDispatcher()

    - #### getTarget

          public Side getTarget()